Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.trans
Class DecimalSymbols

    java.lang.Object
      net.sf.saxon.trans.DecimalSymbols

All Implemented Interfaces:
  Serializable

    public class DecimalSymbols

extends Object
implements Serializable

This class is modelled on Java's DecimalFormatSymbols, but it allows the use of any Unicode character to represent symbols such as the decimal point and the grouping separator, whereas DecimalFormatSymbols restricts these to a char (1-65535). Since this is essentially a data structure with no behaviour, we don't bother with getter and setter methods but just expose the fields

See Also:
  Serialized Form

Field Summary
`int` | `decimalSeparator`
`int` | `digit`
`int` | `groupingSeparator`
`String` | `infinity`
`int` | `minusSign`
`String` | `NaN`
`int` | `patternSeparator`
`int` | `percent`
`int` | `permill`
`int` | `zeroDigit`

Constructor Summary
`DecimalSymbols()`

Method Summary
`boolean` | `equals(Object obj)`
`int` | `hashCode()`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### decimalSeparator

    public int decimalSeparator

### groupingSeparator

    public int groupingSeparator

### digit

    public int digit

### minusSign

    public int minusSign

### percent

    public int percent

### permill

    public int permill

### zeroDigit

    public int zeroDigit

### patternSeparator

    public int patternSeparator

### infinity

    public String infinity

### NaN

    public String NaN

Constructor Detail

### DecimalSymbols

    public DecimalSymbols()

Method Detail

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Michael H. Kay. All rights reserved.